/* Automatically generated nanopb constant definitions */
/* Generated by nanopb-0.3.9.3 at Mon May 13 01:04:53 2019. */

#include "outbound.pb.h"

/* @@protoc_insertion_point(includes) */
#if PB_PROTO_HEADER_VERSION != 30
#error Regenerate this file with the current version of nanopb generator.
#endif



const pb_field_t device_messaging_device_v1_OutboundV1_fields[6] = {
    PB_ONEOF_FIELD(type,   1, MESSAGE , ONEOF, STATIC  , FIRST, device_messaging_device_v1_OutboundV1, auth, auth, &device_messaging_device_v1_Auth_fields),
    PB_ONEOF_FIELD(type,   2, MESSAGE , ONEOF, STATIC  , UNION, device_messaging_device_v1_OutboundV1, pong, pong, &device_messaging_device_v1_Pong_fields),
    PB_ONEOF_FIELD(type,   3, MESSAGE , ONEOF, STATIC  , UNION, device_messaging_device_v1_OutboundV1, subscribe, subscribe, &device_messaging_device_v1_Subscribe_fields),
    PB_ONEOF_FIELD(type,   4, MESSAGE , ONEOF, STATIC  , UNION, device_messaging_device_v1_OutboundV1, event, event, &device_messaging_device_v1_Event_fields),
    PB_ONEOF_FIELD(type,   5, MESSAGE , ONEOF, STATIC  , UNION, device_messaging_device_v1_OutboundV1, command_ack, command_ack, &device_messaging_device_v1_CommandAck_fields),
    PB_LAST_FIELD
};

const pb_field_t device_messaging_device_v1_Auth_fields[6] = {
    PB_FIELD(  1, MESSAGE , SINGULAR, STATIC  , FIRST, device_messaging_device_v1_Auth, device_id, device_id, &device_messaging_device_v1_Auth_DeviceId_fields),
    PB_FIELD(  2, MESSAGE , REPEATED, CALLBACK, OTHER, device_messaging_device_v1_Auth, roles, device_id, &device_messaging_device_v1_Auth_RoleDescription_fields),
    PB_FIELD(  3, STRING  , SINGULAR, STATIC  , OTHER, device_messaging_device_v1_Auth, secret, roles, 0),
    PB_FIELD(  4, BOOL    , SINGULAR, STATIC  , OTHER, device_messaging_device_v1_Auth, subscribe, secret, 0),
    PB_FIELD(  5, BOOL    , SINGULAR, STATIC  , OTHER, device_messaging_device_v1_Auth, force_int32, subscribe, 0),
    PB_LAST_FIELD
};

const pb_field_t device_messaging_device_v1_Auth_DeviceId_fields[4] = {
    PB_FIELD(  1, INT32   , SINGULAR, STATIC  , FIRST, device_messaging_device_v1_Auth_DeviceId, manufacturer_id, manufacturer_id, 0),
    PB_FIELD(  2, INT32   , SINGULAR, STATIC  , OTHER, device_messaging_device_v1_Auth_DeviceId, device_number, manufacturer_id, 0),
    PB_FIELD(  3, STRING  , REPEATED, CALLBACK, OTHER, device_messaging_device_v1_Auth_DeviceId, tags, device_number, 0),
    PB_LAST_FIELD
};

const pb_field_t device_messaging_device_v1_Auth_RoleDescription_fields[4] = {
    PB_FIELD(  1, STRING  , SINGULAR, CALLBACK, FIRST, device_messaging_device_v1_Auth_RoleDescription, role_name, role_name, 0),
    PB_FIELD(  2, INT32   , SINGULAR, STATIC  , OTHER, device_messaging_device_v1_Auth_RoleDescription, role_mask, role_name, 0),
    PB_FIELD(  3, STRING  , SINGULAR, STATIC  , OTHER, device_messaging_device_v1_Auth_RoleDescription, role_pass, role_mask, 0),
    PB_LAST_FIELD
};

const pb_field_t device_messaging_device_v1_Pong_fields[1] = {
    PB_LAST_FIELD
};

const pb_field_t device_messaging_device_v1_Subscribe_fields[1] = {
    PB_LAST_FIELD
};

const pb_field_t device_messaging_device_v1_Event_fields[4] = {
    PB_FIELD(  1, MESSAGE , SINGULAR, STATIC  , FIRST, device_messaging_device_v1_Event, meta, meta, &device_messaging_device_v1_Event_Meta_fields),
    PB_FIELD(  2, INT32   , REPEATED, CALLBACK, OTHER, device_messaging_device_v1_Event, type, meta, 0),
    PB_FIELD(  3, MESSAGE , REPEATED, CALLBACK, OTHER, device_messaging_device_v1_Event, value, type, &device_messaging_device_v1_Value_fields),
    PB_LAST_FIELD
};

const pb_field_t device_messaging_device_v1_Event_Meta_fields[6] = {
    PB_FIELD(  1, INT32   , SINGULAR, STATIC  , FIRST, device_messaging_device_v1_Event_Meta, event_id, event_id, 0),
    PB_FIELD(  2, MESSAGE , SINGULAR, STATIC  , OTHER, device_messaging_device_v1_Event_Meta, command, event_id, &device_messaging_device_v1_Event_Command_fields),
    PB_FIELD(  3, INT32   , SINGULAR, STATIC  , OTHER, device_messaging_device_v1_Event_Meta, roles_mask, command, 0),
    PB_FIELD(  4, INT32   , SINGULAR, STATIC  , OTHER, device_messaging_device_v1_Event_Meta, history_size, roles_mask, 0),
    PB_FIELD(  5, BOOL    , SINGULAR, STATIC  , OTHER, device_messaging_device_v1_Event_Meta, subscribe, history_size, 0),
    PB_LAST_FIELD
};

const pb_field_t device_messaging_device_v1_Event_Command_fields[3] = {
    PB_FIELD(  1, MESSAGE , SINGULAR, STATIC  , FIRST, device_messaging_device_v1_Event_Command, command_id, command_id, &device_messaging_device_v1_CommandId_fields),
    PB_FIELD(  2, BOOL    , SINGULAR, STATIC  , OTHER, device_messaging_device_v1_Event_Command, ack, command_id, 0),
    PB_LAST_FIELD
};

const pb_field_t device_messaging_device_v1_CommandAck_fields[3] = {
    PB_FIELD(  1, MESSAGE , SINGULAR, STATIC  , FIRST, device_messaging_device_v1_CommandAck, command_id, command_id, &device_messaging_device_v1_CommandId_fields),
    PB_FIELD(  2, BOOL    , SINGULAR, STATIC  , OTHER, device_messaging_device_v1_CommandAck, subscribe, command_id, 0),
    PB_LAST_FIELD
};


/* Check that field information fits in pb_field_t */
#if !defined(PB_FIELD_32BIT)
/* If you get an error here, it means that you need to define PB_FIELD_32BIT
 * compile-time option. You can do that in pb.h or on compiler command line.
 * 
 * The reason you need to do this is that some of your messages contain tag
 * numbers or field sizes that are larger than what can fit in 8 or 16 bit
 * field descriptors.
 */
PB_STATIC_ASSERT((pb_membersize(device_messaging_device_v1_OutboundV1, type.auth) < 65536 && pb_membersize(device_messaging_device_v1_OutboundV1, type.pong) < 65536 && pb_membersize(device_messaging_device_v1_OutboundV1, type.subscribe) < 65536 && pb_membersize(device_messaging_device_v1_OutboundV1, type.event) < 65536 && pb_membersize(device_messaging_device_v1_OutboundV1, type.command_ack) < 65536 && pb_membersize(device_messaging_device_v1_Auth, device_id) < 65536 && pb_membersize(device_messaging_device_v1_Event, meta) < 65536 && pb_membersize(device_messaging_device_v1_Event_Meta, command) < 65536 && pb_membersize(device_messaging_device_v1_Event_Command, command_id) < 65536 && pb_membersize(device_messaging_device_v1_CommandAck, command_id) < 65536), YOU_MUST_DEFINE_PB_FIELD_32BIT_FOR_MESSAGES_device_messaging_device_v1_OutboundV1_device_messaging_device_v1_Auth_device_messaging_device_v1_Auth_DeviceId_device_messaging_device_v1_Auth_RoleDescription_device_messaging_device_v1_Pong_device_messaging_device_v1_Subscribe_device_messaging_device_v1_Event_device_messaging_device_v1_Event_Meta_device_messaging_device_v1_Event_Command_device_messaging_device_v1_CommandAck)
#endif

#if !defined(PB_FIELD_16BIT) && !defined(PB_FIELD_32BIT)
/* If you get an error here, it means that you need to define PB_FIELD_16BIT
 * compile-time option. You can do that in pb.h or on compiler command line.
 * 
 * The reason you need to do this is that some of your messages contain tag
 * numbers or field sizes that are larger than what can fit in the default
 * 8 bit descriptors.
 */
PB_STATIC_ASSERT((pb_membersize(device_messaging_device_v1_OutboundV1, type.auth) < 256 && pb_membersize(device_messaging_device_v1_OutboundV1, type.pong) < 256 && pb_membersize(device_messaging_device_v1_OutboundV1, type.subscribe) < 256 && pb_membersize(device_messaging_device_v1_OutboundV1, type.event) < 256 && pb_membersize(device_messaging_device_v1_OutboundV1, type.command_ack) < 256 && pb_membersize(device_messaging_device_v1_Auth, device_id) < 256 && pb_membersize(device_messaging_device_v1_Event, meta) < 256 && pb_membersize(device_messaging_device_v1_Event_Meta, command) < 256 && pb_membersize(device_messaging_device_v1_Event_Command, command_id) < 256 && pb_membersize(device_messaging_device_v1_CommandAck, command_id) < 256), YOU_MUST_DEFINE_PB_FIELD_16BIT_FOR_MESSAGES_device_messaging_device_v1_OutboundV1_device_messaging_device_v1_Auth_device_messaging_device_v1_Auth_DeviceId_device_messaging_device_v1_Auth_RoleDescription_device_messaging_device_v1_Pong_device_messaging_device_v1_Subscribe_device_messaging_device_v1_Event_device_messaging_device_v1_Event_Meta_device_messaging_device_v1_Event_Command_device_messaging_device_v1_CommandAck)
#endif


/* @@protoc_insertion_point(eof) */
